import request from '@/utils/request'

// 查询收款账户列表
export function listPayee(query) {
  return request({
    url: '/yinnong/payee/list',
    method: 'get',
    params: query
  })
}

// 新增收款账户
export function addPayee(data) {
  return request({
    url: '/yinnong/payee/add',
    method: 'post',
    data: data
  })
}

// 查询收款账户详细
export function getPayee(id) {
  return request({
    url: '/yinnong/payee/get/' + id,
    method: 'get'
  })
}

// 修改收款账户
export function updatePayee(data) {
  return request({
    url: '/yinnong/payee/edit',
    method: 'post',
    data: data
  })
}

// 删除收款账户
export function delPayee(id) {
  return request({
    url: '/yinnong/payee/remove/' + id,
    method: 'get'
  })
}

// 查询开户行信息列表
export function listDeposit(query) {
  return request({
    url: '/yinnong/deposit/list',
    method: 'get',
    params: query
  })
}
